summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37502 -> 37493 bytes
-rw-r--r--eclass/qmail.eclass7
-rw-r--r--eclass/sgml-catalog-r1.eclass2
3 files changed, 7 insertions, 2 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index e852ef55f08c..e1c08e6ce0f7 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/qmail.eclass b/eclass/qmail.eclass
index d527eb5f79d5..0e47aa55fa25 100644
--- a/eclass/qmail.eclass
+++ b/eclass/qmail.eclass
@@ -92,7 +92,12 @@ qmail_set_cc() {
echo "${cc} ${CFLAGS} ${CPPFLAGS}" > ./conf-cc || die 'Patching conf-cc failed.'
echo "${ld} ${LDFLAGS}" > ./conf-ld || die 'Patching conf-ld failed.'
- sed -e "s#'ar #'$(tc-getAR) #" -e "s#'ranlib #'$(tc-getRANLIB) #" -i make-makelib.sh || die
+
+ # This function is used also by sys-apps/ucspi-tcp and sys-process/daemontools-encore
+ # but they don't have make-makelib.sh script, see bugs #902009 and #902019
+ if [[ -f make-makelib.sh ]]; then
+ sed -e "s#'ar #'$(tc-getAR) #" -e "s#'ranlib #'$(tc-getRANLIB) #" -i make-makelib.sh || die
+ fi
}
genqmail_src_unpack() {
diff --git a/eclass/sgml-catalog-r1.eclass b/eclass/sgml-catalog-r1.eclass
index 2258b3e2bf0f..eff6db31062f 100644
--- a/eclass/sgml-catalog-r1.eclass
+++ b/eclass/sgml-catalog-r1.eclass
@@ -35,7 +35,7 @@ sgml-catalog-r1_update_catalog() {
if [[ ${#cats[@]} -gt 0 ]]; then
ebegin "Updating ${EROOT}/etc/sgml/catalog"
- printf 'CATALOG "%s"\n' "${cats[@]}" > "${T}"/catalog &&
+ printf 'CATALOG "%s"\n' "${cats[@]#${ROOT}}" > "${T}"/catalog &&
mv "${T}"/catalog "${EROOT}"/etc/sgml/catalog
eend "${?}"
else